Subject: [tcpm] Processing of IP Security Compartment and Precedence information by TCP

From: Fernando Gont <[email-masked]>
Date: Mon, 12 Mar 2012 22:55:03 -0300

Folks,

One of the spin-off documents from the tcp-security I-D is entitled
"Processing of IP Security/Compartment and Precedence Information by TCP"

Its abstract says:
---- cut here ----
   This document discusses the security and interoperability problems
   that may arise as a result of the processing of IP security/
   compartment and precedence information by TCP.  Additionally, it
   formally updates RFC 793 such that these issues are mitigated.
---- cut here ----

The I-D is currently available at
<http://www.gont.com.ar/drafts/tcp-security/draft-gont-tcpm-tcp-seccomp-prec-00.txt>

(it will become available on the IETF repositories when submission of
version -00 documents is re-enabled in a couple of weeks).

Of course, any feedback will be appreciated.

Thanks!

Best regards,
-- 
Fernando Gont
e-mail: [email-masked] || [email-masked]
PGP Fingerprint: 7809 84F5 322E 45C7 F1C9 3945 96EE A9EF D076 FFF1

---

From: "Smith, Allyn D" <[email-masked]>
Date: Tue, 13 Mar 2012 08:41:13 -0500

Fernando,

In your document, you may want to refer to RFC 2873, TCP Processing of the IPv4 Precedence Field.  RFC 2873 attempts to reconcile the IP precedence, TOS, and DS field conflict.  In summary, here is the resolution from the RFC which also addresses security concerns:

4. Proposed Modification to TCP

   The proposed modification to TCP is that TCP must ignore the
   precedence of all received segments. ....

Best regards,
Al Smith

Al Smith  |  Principal Engineer  |  Operating Systems Development - Networking
Unisys  |  2470 Highcrest Road  |  Roseville, MN USA 55113    

THIS COMMUNICATION MAY CONTAIN CONFIDENTIAL AND/OR OTHERWISE PROPRIETARY MATERIAL and is thus for use only by the intended recipient. If you received this in error, please contact the sender and delete the e-mail and its attachments from all computers. 

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Fernando Gont
Sent: Monday, March 12, 2012 8:55 PM
To: [email-masked]
Subject: [tcpm] Processing of IP Security Compartment and Precedence information by TCP

Folks,

Its abstract says:
---- cut here ----

Thanks!

Best regards,

_______________________________________________
tcpm mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/tcpm

---

From: Fernando Gont <[email-masked]>
Date: Tue, 13 Mar 2012 10:56:44 -0300

Hi, Al,

Thanks for your timely feedback! Please find my comment in-line...

On 03/13/2012 10:41 AM, Smith, Allyn D wrote:
> In your document, you may want to refer to RFC 2873, TCP Processing
> of the IPv4 Precedence Field.  RFC 2873 attempts to reconcile the IP
> precedence, TOS, and DS field conflict.  

Agreed. -- I wonder how I missed this one... :-(

In any case, it seems that RFC2873 does not contain "Updates" metadata,
and does not include RFC2119-language requirements.

So how about this: I can keep the discussion/rationale of the Precedence
field brief (pointing to RFC2873), and simply include a short
RFC2119-language requirement stating that the Precedence information
should be disregarded.

Thoughts?

Thanks!

Best regards,

---

From: "Smith, Allyn D" <[email-masked]>
Date: Tue, 13 Mar 2012 10:32:09 -0500

That works for me since RFC2873 is missing the "Updates" metadata and does not include RFC2119-language requirements.  However, I'll reserve final judgment to see how everything shakes out within the context of the security spin-off documents and the final "TCP security" document. ;-)

Regards,
Al Smith

-----Original Message-----
From: Fernando Gont [mailto:[email-masked]] On Behalf Of Fernando Gont
Sent: Tuesday, March 13, 2012 8:57 AM
To: Smith, Allyn D
Cc: [email-masked]
Subject: Re: [tcpm] Processing of IP Security Compartment and Precedence information by TCP

Hi, Al,

Thoughts?

Thanks!

Best regards,